﻿// декларираме функция, която изчислява факториел
// на подадено като параметър число
function getFactorial(n) {
	// инициализираме факториела с 1
	var factorial = 1;
	// започваме броенето от 2, тъй като 0! = 1! = 1
	for (var i = 2; i <= n; i++) {
		//factorial = factorial * i;
		factorial *= i;
	}
	// връщаме резултата
	return factorial;
}

// в HTML документа записваме факториелите на числата в интервала [0; 25]
for (var n = 0; n <= 25; n++) {
	var factorial = getFactorial(n);
	document.write(n + '! = ' + factorial + '<br />');
}

// генерираме произволно цяло число в интервала [0; 15)
var n = Math.floor(Math.random() * 15);
// намираме факториела на това число
var factorial = getFactorial(n);
// извеждаме прозорец с резултата
alert(n + '! = ' + factorial);
