﻿// декларираме променливи за коефициентите
var a, b, c;
// присвояваме произволни стойности на коефициентите
a = 10 - Math.random() * 20;
b = 10 - Math.random() * 20;
c = 10 - Math.random() * 20;

// в HTML документа записваме текст, който казва какво уравнение решаваме  (и таг за нов ред)
document.write('Решаваме уравнението (' + a + ') . x^2 + (' + b + ') . x + (' + c + ') = 0' + '<br />');

// декларираме променлива за съобщението, което ще изведем
var message;
// ако уравнението е квадратно,...
if (a !== 0) {
	// декларираме и изчисляваме дискриминантата
	var d = b * b - 4 * a * c;
	// ако дискриминантата е отрицателна,...
	if (d < 0) {
		message = 'Квадратното уравнение няма реални корени.';
	// иначе, ако дискриминантата е нулева, ...
	} else if (d === 0) {
		var x = -b / (2 * a);
		message = 'Квадратното уравнение има един реален корен: x = ' + x;
	// иначе (ако дискриминантата е положителна)...
	} else {
		var x1 = (-b - Math.sqrt(d)) / (2 * a);
		var x2 = (-b + Math.sqrt(d)) / (2 * a);
		message = 'Квадратното уравнение има два реални корена: x1 = ' + x1 + ' ; x2 = ' + x2;
	}
// ако уравнението е и линейно,...
} else if (b !== 0) {
	var x = -c / b;
	message = 'Линейното уравнение има корен: x = ' + x;
// иначе (ако е тъждество)...
} else {
	var message = c !== 0
		? 'Тъждеството не е изпълнено.'
		: 'Тъждеството е изпълнено.';
}

// в HTML документа записваме съобщението (и таг за нов ред)
document.write(message + '<br />');
